# Podręcznik &konsolekalendar-dopelniacz;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    winterz@kde.org

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Poprawki
Maciej
Wikło

    maciej.wiklo@wp.pl

Polskie tłumaczenie
2002
2004
Tuukka Pasanen
2003
2007
Allen Winter
&FDLNotice;
2004-04-15
1.1.1

&konsolekalendar; jest interfejsem wiersza poleceń dla kalendarzy &kde;.

KDE
&package;
&kappname;
KOrganizer

## Wprowadzenie

&konsolekalendar; jest interfejsem wiersza poleceń dla kalendarzy &kde;. Pozwala przeglądać, dodawać, usuwać lub zmieniać zadania kalendarza za pomocą języka skryptów w wierszu poleceń. Dodatkowo &konsolekalendar; potrafi tworzyć nowe kalendarze &kde; w różnych formatach i importować inne kalendarze &kde;.

W trybie podstawowym &konsolekalendar; wyświetla listę zadań na dziś (od 7:00 do 17:00) z Twojego domyślnego kalendarza.

Główne funkcje &konsolekalendar-dopelniacz;

- Zobacz wpisy kalendarza od daty/czasu rozpoczęcia do daty/czasu zakończenia

- Dodaj wpisy do kalendarza

- Usuń wpisy z kalendarza

- Zmień wpisy w kalendarzu

- Utwórz nowy kalendarz

- Eksportuj wpisy kalendarza do innych formatów plików

- Importuj istniejący kalendarz &kde;

&konsolekalendar; nie jest kolejnym graficznym interfejsem kalendarza &kde; (jak np. &korganizer;). &konsolekalendar; jest przydatny w przypadkach, kiedy praca w interfejsie graficznym jest niepraktyczna lub niemożliwa.

&konsolekalendar; nie dostarcza wielofunkcyjnego języka do tworzenia zapytań kalendarza użytkownika, zamiarem autorów nie jest także utworzenie takiej możliwości. Proste opcje wiersza poleceń dostarczane są, aby dać dostęp do zadań kalendarza, w tym zakres kolejnych dat/znaczników czasu.

## Funkcje

W tym rozdziale nauczysz się podstawowych funkcji &konsolekalendar-dopelniacz; oraz dowiesz się, jak je kontrolować używając parametrów wiersza poleceń (pamiętaj, że &konsolekalendar; nie jest graficznym interfejsem użytkownika, jest tylko programem wiersza poleceń).

Dowiesz się, jak dodawać, usuwać i zmieniać zadania kalendarza oraz jak eksportować je do innych formatów plików. W tym rozdziale zostanie poruszony także temat importowania i tworzenia kalendarzy &kde;.

### Przeglądanie wpisów

W domyślnym trybie lub używając opcji `--view`, &konsolekalendar; wyświetli listę wszystkich zadań w zakresie określonej daty/czasu.

Aby zobaczyć wszystkie zadania na dziś (od 7:00 do 17:00) wpisz:

    % konsolekalendar

W następnym przykładzie zobaczymy zadania na tydzień 18-22 sierpnia:

    % konsolekalendar --view --date 2003-08-18  --end-date 2003-08-22

Pokaż następne zadanie(a) kalendarza od aktualnego czasu naprzód:

    % konsolekalendar --next

Aby zobaczyć wszystkie zadania na kolejne 5 dni, wpisz:

    % konsolekalendar --show-next 5

### Dodawanie zadań

&konsolekalendar; może dodawać zadania do kalendarza &kde; lub do zasobu kalendarza przy użyciu argumentu `--add` wiersza poleceń. Zadania pomyślnie dodane zostaną natychmiast pokazane w programach kalendarza &kde; (takich jak &korganizer;).

W następującym przykładzie zadanie rozpoczynające się 2003-06-04 (4. czerwca 2003) o 1000 i kończące się o 1200 z podsumowaniem "Wizyta u doktora" będzie dodane do domyślnego zasobu kalendarza użytkownika:

    % konsolekalendar --add --date 2003-06-04 --time 10:00 \
    --end-time 12:00 --summary "Wizyta u doktora"

W tym przykładzie urodziny są dodane do domyślnego kalendarza użytkownika:

    % konsolekalendar --add --date 2003-06-06 --summary "Moje urodziny" \
    --description "Impreza!"

Tutaj jednomiesięczne wakacje zostały dodane do wspólnego kalendarza wakacje:

    % konsolekalendar --add --file vacation.ics --date 2003-08-01 \
    --end-date 2003-08-07 --summary "Wakacje" --description "Nikt mnie nie znajdzie!"

### Usuwanie wpisów

&konsolekalendar; obsługuje usuwanie wpisów kalendarza lub zasobów za pomocą argumentu `--delete` linii poleceń. Usuwane wpisy kalendarza są identyfikowane przez specjalny identyfikator Unique-string (UID) przy użyciu opcji `--uid`. Identyfikatory UID mogą być wyświetlone podczas przeglądania zadań z użyciem opcji `--view`.

Zadania pomyślnie usunięte natychmiast znikną z programów kalendarza &kde; (takich jak &korganizer;).

Kiedy coś usuniesz z kalendarza, nie możesz tego cofnąć! Innymi słowy, gdy usuniesz wpis, nie możesz odwrócić tej operacji. Zostanie on usunięty na dobre.

W tym przykładzie usunęliśmy z kalendarza wpis o UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Zmiana wpisów

&konsolekalendar; pozwala na zmianę istniejących wpisów w kalendarzu lub zasobach przy użyciu argumentu `--change` wiersza poleceń. Zmieniane wpisy kalendarza są identyfikowane przez specjalny identyfikator Unique-string (UID) przy użyciu opcji `--uid`. Identyfikatory UID mogą być wyświetlone podczas przeglądania zadań z użyciem opcji `--view`.

Zmiany wpisów można dokonać w taki sam sposób, jak ich dodawania: możesz zmienić datę i czas rozpoczęcia zadania, datę i czas zakończenia, podsumowanie, miejsce i opis. Zmiany dokonane w zadaniach zostaną natychmiast pokazane w programach kalendarza &kde; (&korganizer;).

Przykład: Zmieniamy tu podsumowanie i opis wpisu kalendarza o identyfikatorze UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Zbadać sobie głowę"` `--description "nigdy więcej nie iść do lekarza!"``

### Tworzenie nowego pliku kalendarza

&konsolekalendar; może służyć do utworzenia nowego pliku kalendarza &kde;. Nie możesz dodać wpisu do kalendarza, który nie istnieje, musisz więc utworzyć nowy kalendarz używając argumentów `--create` i `--file` wiersza poleceń.

Utwórz plik kalendarza o nazwie `/data/share/calendars/vacation.ics`:

    % konsolekalendar --create --file /data/share/calendars/vacation.ics

### Eksport do innych formatów

&konsolekalendar; może eksportować kalendarz &kde; do innych dobrze znanych formatów. Eksportowanie jest specjalną formą przeglądania. Domyślnie zadania są wyświetlane w formacie tekstowym &konsolekalendar-dopelniacz;. Aby zmienić format przeglądania, użyj argumentu `--export-type` wiersza poleceń.

Aby zobaczyć wszystkie obsługiwane formaty eksportu, użyj opcji `--export-list`, jak w:

    % konsolekalendar --export-list

### Formaty eksportu

Niektóre, lecz nie wszystkie, obsługiwane formaty są opisane w tej sekcji.

#### Format tekstowy &konsolekalendar-dopelniacz;

Format tekstowy &konsolekalendar-dopelniacz; jest natywnym formatem &konsolekalendar-dopelniacz; i został stworzony, aby użytkownik mógł korzystać z komfortu czytania i szybkości analizowania skryptów.

Formatem tekstowym &konsolekalendar-dopelniacz; jest:

    Data:\t<Data zadania>(dddd yyyy-MM-dd)
    [\t<Czas rozpoczęcia zadania>(hh:mm) - <czas zakończenia zadania>(hh:mm)]
    Podsumowanie:
    \t<Podsumowanie zadania | "(podsumowanie niedostępne)">
    Miejsce:
    \t<Miejsce zadania | "(miejsce niedostępne)">
    Description:
    \t<Opis zadania | "(opis niedostępny)">
    UID:
    \t<UID zadania>
    --------------------------------------------------

Na przykład:

    Data:   Wtorek 2003-11-01
            08:00 - 09:00
    Podsumowanie:
            Spotkanie z zespołem
    Miejsce:
            Sala konferencyjna
    Opis:
            Spotkanie z zespołem w celu omówienia projektu..
    UID:
            &konsolekalendar;-1128954167.1013
    --------------------------------------------------

#### Format krótkiego tekstu &konsolekalendar-dopelniacz;

Format krótkiego tekstu jest bardziej kompaktową, mniej szczegółową wersją natywnego formatu &konsolekalendar-dopelniacz;.

Formatem krótkiego tekstu &konsolekalendar-dopelniacz; jest:

    [--------------------------------------------------]
    {<Data zadania>(dddd yyyy-MM-dd)]
    [<Czas rozpoczęcia zadania>(hh:mm) - <Czas zakończenia zadania>(hh:mm) | "\t"]
    \t<Podsumowanie zadania | \t>[, <Miejsce zadania>]
    \t\t<Opis zadania | "\t">

Na przykład:

    --------------------------------------------------
    Wtorek 2003-11-01
    08:00 - 09:00   Spotkanie z zespołem, sala konferencyjna
                    Spotkanie z zespołem w celu omówienia projektu.

#### Format wartości oddzielonych przecinkami (CSV)

Format wartości oddzielonych przecinkami wyświetla wartości zadania w takim samym porządku, jak format tekstowy &konsolekalendar-dopelniacz;. Jedyna różnica to to, że wszystkie informacje wyświetlane są w jednym wierszu, oddzielone przecinkami. W rezultacie można eksportować pliki do arkuszy kalkulacyjnych, takich jak &kspread;, OpenOffice.org Calc czy &Microsoft; Excel. Format CSV łatwiej również analizuje skrypty.

Format wartości oddzielonych przecinkami (CSV) wygląda następująco:

    YYYY-MM-DD,HH:MM,YYYY-MM-DD,HH:MM,Podsumowanie,Miejsce,Opis,UID

Na przykład:

    2003-11-01,08:00,2003-11-01,09:00,Spotkanie z zespołem,Sala konferencyjna,Spotkanie na sali konferencyjnej z całym zespołem.,&konsolekalendar;-1128954167.1013

#### Format &HTML;

Format eksportu &HTML; utworzy poprawny plik &HTML;, który może być opublikowany w sieci WWW. Ten format eksportu nie odpowiada analizowaniu skryptów, lecz nadaje się do łatwego publikowania kalendarzy.

Do zrobienia: Umieścić tutaj zrzut ekranu

#### Format HTMLmonth

Ten format tworzy plik &HTML;, pokazujący wszystkie zadania na miesiąc określony zakresem czasu. Ten format eksportu nie odpowiada analizowaniu skryptów, lecz nadaje się do łatwego publikowania kalendarzy.

Do zrobienia: Umieścić tutaj zrzut ekranu

### Importowanie kalendarzy

&konsolekalendar; może importować pliki kalendarzy iCal lub vCal do kalendarza &kde;. Wszystkie zadania z importowanego kalendarza zostaną dodane, włącznie z takimi samymi zadaniami. W kolejnym wydaniu &konsolekalendar-dopelniacz; takie same zadania nie będą dodawane.

Aby zaimportować plik kalendarza `another.ics` do kalendarza `current.ics` wpisz:

    % konsolekalendar --import another.ics --file current.ics

## Argumenty wiersza poleceń

&konsolekalendar; obsługuje następujące opcje:

Opcja | Opis
--- | ---
`--help, --help-all` | Wyświetla pomoc na temat opcji programu.
`--author` | Wyświetla informacje o autorze programu.
`-v, --version` | Wyświetla informacje o wersji programu.
`--license` | Wyświetla informacje o licencji programu.
`--verbose` | Wyświetl pomocne wiadomości.
`--dry-run` | Wyświetl, co byłoby zrobione, ale nie zostało wykonane. Nie zmieniaj żadnych plików, nie twórz, nie usuwaj, ani nie zmieniaj istniejących plików, nie twórz żadnych nowych plików.
`--allow-gui` | Zezwól na zasoby, które mogą potrzebować interakcji z użytkownikiem. Zazwyczaj są wykorzystywane zasoby, które nigdy nie potrzebują interfejsu użytkownika (takie jak kalendarze oparte na plikach).
`--file` calendar-file | Wybierz kalendarz, którego chcesz użyć. Jeśli nie wybierzesz żadnego, zostanie użyty domyślny zasób &korganizer-dopelniacz;.
Główne tryby operacji:
`--view` | Wyświetl zadania kalendarza w wybranym formacie eksportu.
`--add` | Dodaj zadanie do kalendarza.
`--change` | Zmień istniejące zadanie kalendarza.
`--delete` | Usuń istniejące zadanie kalendarza.
`--create` | Utwórz nowy plik kalendarza, jeśli jeszcze nie istnieje.
`--import` import-file | Importuj kalendarz do kalendarza głównego.
Modyfikatory operacji:
`--all` | Wyświetl wszystkie wpisy kalendarza.
`--next` | Wyświetl następne aktywne w kalendarzu.
`--show-next` dni | Wpisanie wybranej dany pokaże następne zadania na # dni.
`--uid` UID | Przeglądaj, usuwaj lub zmieniaj zadania z ich IDentyfikatorem Unique-string.
`--date` data | Rozpocznij od tego dnia [YYYY-MM-DD]. Domyślną datą jest Dzisiaj.
`--time` czas | Rozpocznij o tej godzinie [HH:MM]. Domyślnym czasem do przeglądania jest 07:00. Aby dodać lub zmienić zadanie ruchome, użyj opcji `--time float` lub `--end-time float`.
`--end-date` data zakończenia | Zakończ w tym dniu [YYYY-MM-DD]. Domyślny jest ustalany przez `--date`.
`--end-time` czas zakończenia | Zakończ o tej godzinie [HH:MM]. Domyślnym czasem zakończenia do przeglądania jest 17:00. Aby dodać lub zmienić zadanie ruchome, użyj opcji `--time float` lub `--end-time float`.
`--epoch-start` czas epoki | Rozpocznij o tej godzinie [sekundy od epoki].
`--epoch-end` czas epoki | Zakończ o tej godzinie [sekundy od epoki].
`--summary` podsumowanie | Dodaj podsumowanie do zadania (działa z dodaj i zmień).
`--description` opis | Dodaj opis do zadania (działa z dodaj i zmień).
`--location` miejsce | Dodaj miejsce do zadania (działa z dodaj i zmień).
Opcje eksportu:
`--export-type` typ eksportu | Eksportuj typ pliku. Domyślnym formatem eksportu jest Tekst
`--export-file` eksportowany plik | Eksportuj do pliku. Domyślnie plik wyjściowy jest zapisywany do standardowego wyjścia.
`--export-list` | Wyświetl listę obsługiwanych typów eksportu i zakończ.

## Pytania i odpowiedzi

&reporting.bugs; &updating.documentation;

Jakich plików konfiguracyjnych używa &konsolekalendar;?

Żadnych.

Jak nazywa się program &konsolekalendar-dopelniacz;?

Nazwą programu &konsolekalendar; jest konsolekalendar.

Jaki jest format specyfikacji daty?

&konsolekalendar; odrzuci specyfikacje daty w wierszu poleceń, dopóki nie zostaną podane zgodnie ze standardami ISO 8601: YYYY-MM-DD. Gdzie YYYY reprezentuje czterocyfrowy rok (np. 2003), MM reprezentuje dwucyfrowy miesiąc (01,02,..,12), a DD reprezentuje dwucyfrowy dzień (01,02,...,31).

&konsolekalendar; zawsze eksportuje dane zgodnie z formatem ISO 8601.

Jaki jest format specyfikacji czasu?

&konsolekalendar; odrzuci specyfikacje czasu w wierszu poleceń, dopóki nie zostaną podane zgodnie ze standardami ISO 8601: HH:MM:SS. Gdzie HH reprezentuje dwucyfrową godzinę (01,02,...,24), MM reprezentuje dwucyfrowe minuty (01,02,...,60), a SS reprezentuje dwucyfrowe sekundy (01,02,...,60).

&konsolekalendar; zawsze eksportuje czas zgodnie z formatem ISO 8601.

Czy &konsolekalendar; doda nowe zadanie, które jest takie samo jak już istniejące w kalendarzu?

Nie. Proszę zobaczyć następne pytanie.

Jak &konsolekalendar; ustala, czy takie samo zadanie już istnieje w kalendarzu?

&konsolekalendar; sprawdza podaną datę i czas rozpoczęcia, datę i czas zakończenia i podsumowanie we wszystkich zadaniach kalendarza. Jest sprawdzane, czy wszystkie trzy wartości pasują do istniejącego zadania.

Czy nieruchome zadanie może być zmienione na zadanie ruchome?

Tak. Użyj opcji `--time float` z `--change`.

Dlaczego identyfikatory UID zadań są wyświetlane w większości formatów eksportu?

Ponieważ musisz podać UID, aby usunąć lub zmienić zadanie. Jeśli nie chcesz widzieć UID zadań, użyj krótkiego typu eksportu (`--export-type short`).

Jak mogę dodać własne pytanie do tego FAQ?

Wyślij swoje pytania na winter@kde.org.

## Podziękowania i licencja

&konsolekalendar; Program copyright 2002-2007:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter winter@kde.org

Documentation copyright 2003:

- Allen Winter winter@kde.org

- Tuukka Pasanenilluusio@mailcity.com

Maciej Wikłomaciej.wiklo@wp.pl

&underFDL; &underGPL;

## Instalacja

### Jak pobrać &konsolekalendar;

&install.intro.documentation;

&konsolekalendar; jest składnikiem &kde; 4 i nie jest dostępny osobno.

### Wymagania

&konsolekalendar; wymaga podstawowych bibliotek &kde;, aby mógł być zainstalowany (pakiety `kdelibs` i `kdepimlibs`). Aby skompilować program ze źródeł, potrzebujesz również pakietów dla programistów &Qt;, `kdelibs` i `kdepimlibs`.

Listę zmian można znaleźć w pliku `ChangeLog`.

### Konfiguracja

Nie jest wymagana żadna specjalna konfiguracja, aby uruchomić &konsolekalendar-biernik; w środowisku &kde;.

&documentation.index;